%define upstream_name    strictures
%define upstream_version 2.000006

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Turn on strict and make most warnings fatal
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildRequires: perl(bareword::filehandles)
BuildRequires: perl(indirect)
BuildRequires: perl(multidimensional)
BuildArch:  noarch

Provides:   perl(strictures)

%description
This package turns on strict and makes most warnings fatal.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.0.6-5.mga10
+ Revision: 2205531
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 2.0.6-4.mga9
+ Revision: 1811418
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 2.0.6-3.mga8
+ Revision: 1523691
- Mageia 8 Mass Rebuild

* Tue Mar 12 2019 tv <tv> 2.0.6-2.mga7
+ Revision: 1374621
- fix description
- fix summary

* Tue Mar 12 2019 tv <tv> 2.0.6-1.mga7
+ Revision: 1374504
- update to 2.000006

* Thu Sep 20 2018 umeabot <umeabot> 2.0.5-2.mga7
+ Revision: 1287508
- Mageia 7 Mass Rebuild

* Sat Apr 21 2018 tv <tv> 2.0.5-1.mga7
+ Revision: 1220778
- update to 2.000005

* Fri Jul 28 2017 shlomif <shlomif> 2.0.3-1.mga7
+ Revision: 1131663
- New version 2.0.3

* Sun Jun 19 2016 pterjan <pterjan> 2.0.2-2.mga6
+ Revision: 1033347
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 2.0.2-1.mga6
+ Revision: 924091
- update to 2.000002

* Tue Jul 07 2015 sander85 <sander85> 2.0.1-1.mga6
+ Revision: 852525
- update to 2.000001

* Sat Jun 27 2015 sander85 <sander85> 2.0.0-1.mga6
+ Revision: 845834
- update to 2.000000

* Wed Oct 15 2014 umeabot <umeabot> 1.5.4-3.mga5
+ Revision: 747745
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.4-2.mga5
+ Revision: 687060
- Mageia 5 Mass Rebuild

* Fri Mar 14 2014 jquelin <jquelin> 1.5.4-1.mga5
+ Revision: 603739
- update to 1.005004

* Fri Feb 28 2014 jquelin <jquelin> 1.5.3-1.mga5
+ Revision: 597908
- update to 1.005003

* Fri Oct 18 2013 umeabot <umeabot> 1.4.4-3.mga4
+ Revision: 516457
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.4.4-2.mga3
+ Revision: 375558
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 1.4.4-1.mga3
+ Revision: 317769
- update to 1.004004

* Mon Sep 17 2012 jquelin <jquelin> 1.4.2-1.mga3
+ Revision: 295072
- update to 1.004002

* Fri Aug 31 2012 kharec <kharec> 1.4.1-1.mga3
+ Revision: 286606
- update to 1.004001

* Tue Jun 05 2012 jquelin <jquelin> 1.3.1-1.mga3
+ Revision: 255703
- update to 1.003001

* Fri Jun 17 2011 jquelin <jquelin> 1.2.2-2.mga2
+ Revision: 109077
- adding missing provides:

* Fri Jun 17 2011 jquelin <jquelin> 1.2.2-1.mga2
+ Revision: 108960
- imported package perl-strictures


* Fri Jun 17 2011 cpan2dist 1.002002-1mga
- initial mageia release, generated with cpan2dist
